org.jboss.resteasy.jsapi

## Class MethodParamMetaData

- java.lang.Object
- - org.jboss.resteasy.jsapi.MethodParamMetaData

-     public class MethodParamMetaData
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MethodParamMetaData.MethodParamType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodParamMetaData(Class<?> type, Annotation[] annotations, MethodParamMetaData.MethodParamType paramType, String paramName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation[]` | `getAnnotations()`
    `String` | `getParamName()`
    `MethodParamMetaData.MethodParamType` | `getParamType()`
    `Class<?>` | `getType()`
    `void` | `setAnnotations(Annotation[] annotations)`
    `void` | `setParamName(String paramName)`
    `void` | `setParamType(MethodParamMetaData.MethodParamType paramType)`
    `void` | `setType(Class<?> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodParamMetaData

          public MethodParamMetaData(Class<?> type,
                             Annotation[] annotations,
                             MethodParamMetaData.MethodParamType paramType,
                             String paramName)

  - ### Method Detail

    - #### getType

          public Class<?> getType()

    - #### setType

          public void setType(Class<?> type)

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations(Annotation[] annotations)

    - #### getParamType

          public MethodParamMetaData.MethodParamType getParamType()

    - #### setParamType

          public void setParamType(MethodParamMetaData.MethodParamType paramType)

    - #### getParamName

          public String getParamName()

    - #### setParamName

          public void setParamName(String paramName)

Copyright © 2014. All Rights Reserved.